IcedTea-Web NetX

## net.sourceforge.jnlp
Class ResourcesDesc

    java.lang.Object
      net.sourceforge.jnlp.ResourcesDesc

    public class ResourcesDesc

extends java.lang.Object

The resources element.

Constructor Summary
`ResourcesDesc(JNLPFile jnlpFile, java.util.Locale[] locales, java.lang.String[] os, java.lang.String[] arch)` Create a representation of one information section of the JNLP File.

Method Summary
`void` `addResource(java.lang.Object resource)` Add a resource.
`java.lang.String[]` `getArch()` Returns the architecture required by these resources, or null if no locale was specified in the JNLP file.
`ExtensionDesc[]` `getExtensions()` Returns the Extensions.
`JARDesc[]` `getJARs()` Returns all of the JARs.
`JARDesc[]` `getJARs(java.lang.String partName)` Returns the JARs with the specified part name.
`JNLPFile` `getJNLPFile()` Returns the JNLPFile the resources are for.
`JREDesc[]` `getJREs()` Returns the JVMs.
`java.util.Locale[]` `getLocales()` Returns the locale required by these resources, or null if no locale was specified in the JNLP file.
`JARDesc` `getMainJAR()` Returns the main JAR for these resources.
`java.lang.String[]` `getOS()` Returns the os required by these resources, or null if no locale was specified in the JNLP file.
`PackageDesc[]` `getPackages()` Returns the Packages.
`PackageDesc[]` `getPackages(java.lang.String className)` Returns the Packages that match the specified class name.
`PropertyDesc[]` `getProperties()` Returns the Properties as a list.
`java.util.Map<java.lang.String,java.lang.String>` `getPropertiesMap()` Returns the properties as a map.

`

`<T> java.util.List<T>`

`

`getResources(java.lang.Class<T> type)`
Returns all resources of the specified type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourcesDesc

    public ResourcesDesc(JNLPFile jnlpFile,
                         java.util.Locale[] locales,
                         java.lang.String[] os,
                         java.lang.String[] arch)

  Create a representation of one information section of the JNLP File.

  Parameters:
    `jnlpFile` - JNLP file the resources are for
    `locales` - the locales of these resources
    `os` - the os of these resources
    `arch` - the arch of these resources

Method Detail

### getJREs

    public JREDesc[] getJREs()

  Returns the JVMs.

### getMainJAR

    public JARDesc getMainJAR()

  Returns the main JAR for these resources. There first JAR is returned if no JARs are specified as the main JAR, and if there are no JARs defined then null is returned.

### getJARs

    public JARDesc[] getJARs()

  Returns all of the JARs.

### getJARs

    public JARDesc[] getJARs(java.lang.String partName)

  Returns the JARs with the specified part name.

  Parameters:
    `partName` - the part name, null and "" equivalent

### getExtensions

    public ExtensionDesc[] getExtensions()

  Returns the Extensions.

### getPackages

    public PackageDesc[] getPackages()

  Returns the Packages.

### getPackages

    public PackageDesc[] getPackages(java.lang.String className)

  Returns the Packages that match the specified class name.

  Parameters:
    `className` - the fully qualified class name
  Returns:
    the PackageDesc objects matching the class name

### getProperties

    public PropertyDesc[] getProperties()

  Returns the Properties as a list.

### getPropertiesMap

    public java.util.Map<java.lang.String,java.lang.String> getPropertiesMap()

  Returns the properties as a map.

### getOS

    public java.lang.String[] getOS()

  Returns the os required by these resources, or null if no locale was specified in the JNLP file.

### getArch

    public java.lang.String[] getArch()

  Returns the architecture required by these resources, or null if no locale was specified in the JNLP file.

### getLocales

    public java.util.Locale[] getLocales()

  Returns the locale required by these resources, or null if no locale was specified in the JNLP file.

### getJNLPFile

    public JNLPFile getJNLPFile()

  Returns the JNLPFile the resources are for.

### getResources

    public <T> java.util.List<T> getResources(java.lang.Class<T> type)

  Returns all resources of the specified type.

### addResource

    public void addResource(java.lang.Object resource)

  Add a resource.

IcedTea-Web NetX

Submit a bug or feature